@bp2 graph.bat
@goto end
// Graphic embedded into batch script

// Global variables used instead of constants here for compatibility
// screen width
#defvar sizeX 240
// screen height
#defvar sizeY 64
// BIOS graphic mode
#defvar graphMode 16
// BIOD text mode
#defvar textMode 2

// Old style main function, compatible to BOB+
// All local variables are declared in function header.
main(;px,py,ms,x,n,x2,y2,y,r)
{
   px=sizeX;   
   py=sizeY;
   setscrmode(graphMode);
   ms = timer();
   n=0;
  for (x=0;x<px;x+=2)
  {
     n++;
     x2= px -x;
     line(x,0,x2,py-1,1);
  }
  for (y=0;y<py;y+=2)
  {
     n++;
     y2= py-1 -y;
     line(0,y,px-1,y2,2);
  }
  ms = timer() - ms;
  r = n*1000 / ms;
   gets();
   setscrmode(textMode);
   print(r, " lines per second\n");
   gets();
}
#endsrc

:end
